Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Interface IAdminEditor

public interface IAdminEditor

Root interface for the Sci editor. Allows you to create Service Configuration pages that plug into portal editors.

Method Summary
`NamedValue[]` | `finalize(NamedValueMap pageInfo)` Makes any final changes before storage.
`IAdminPage[]` | `getPages()` Gets the editor pages.
`void` | `initialize(java.lang.String locale, TypeNamespace namespace, NamedValueMap parentInfo)` Sets up the editor and processes any existing settings.

Method Detail

### getPages

    public IAdminPage[] getPages()
                          throws ServiceException

  Gets the editor pages. Calls to `getContent` and `validate` are done through `IAdminPage`.

  Returns:
    `IAdminPage` array of editor pages
  Throws:
    `ServiceException` - if a SOAP error occurs
  See Also:
    `IAdminPage`

### initialize

    public void initialize(java.lang.String locale,
                           TypeNamespace namespace,
                           NamedValueMap parentInfo)
                    throws ServiceException

  Sets up the editor and processes any existing settings.

  Parameters:
    `locale` - the user's locale
    `namespace` - `TypeNamespace` for the editor page (e.g., Crawler, Auth, Profile)
    `parentInfo` - null for all editors that do not have a parent, i.e. all editors except for crawlers. For crawlers, incoming `NamedValueMap` from the portal; contains all the values provided in `finalize` from the data source. Note that the names in the NamedValues have been uppercased by the portal.
  Throws:
    `ServiceException` - if a SOAP error occurs

### finalize

    public NamedValue[] finalize(NamedValueMap pageInfo)
                          throws ServiceException

  Makes any final changes before storage. Any additional NamedValues added during finalize will be stored as `TypeStorage.STRING`. All names in the NamedValues will be uppercased by the portal.

  Parameters:
    `pageInfo` - incoming `NamedValueMap` of editor settings
  Returns:
    `NamedValueMap` array of settings to be stored in the portal.
  Throws:
    `ServiceException` - if a SOAP error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.